libmspub::ListInfo Struct Reference

`#include <ListInfo.h>`

## Public Member Functions

| ListInfo (unsigned bulletChar)
| ListInfo (boost::optional< unsigned > numberIfRestarted, NumberingType numberingType, NumberingDelimiter numberingDelimiter)

## Public Attributes

ListType | m_listType
boost::optional< unsigned > | m_bulletChar
boost::optional< unsigned > | m_numberIfRestarted
boost::optional< NumberingType > | m_numberingType
boost::optional< NumberingDelimiter > | m_numberingDelimiter

## Constructor & Destructor Documentation

## ListInfo() [1/2]

libmspub::ListInfo::ListInfo | ( | unsigned | bulletChar | ) |

inline

## ListInfo() [2/2]

libmspub::ListInfo::ListInfo | ( | boost::optional< unsigned > | numberIfRestarted,
|  | NumberingType | numberingType,
|  | NumberingDelimiter | numberingDelimiter )

inline

## Member Data Documentation

## m_bulletChar

boost::optional<unsigned> libmspub::ListInfo::m_bulletChar

Referenced by ListInfo(), and ListInfo().

## m_listType

ListType libmspub::ListInfo::m_listType

Referenced by ListInfo(), and ListInfo().

## m_numberIfRestarted

boost::optional<unsigned> libmspub::ListInfo::m_numberIfRestarted

Referenced by ListInfo(), and ListInfo().

## m_numberingDelimiter

boost::optional<NumberingDelimiter> libmspub::ListInfo::m_numberingDelimiter

Referenced by ListInfo(), and ListInfo().

## m_numberingType

boost::optional<NumberingType> libmspub::ListInfo::m_numberingType

Referenced by ListInfo(), and ListInfo().

The documentation for this struct was generated from the following file:

- ListInfo.h